#/usbr/in/env python

import os
import sys
import traceback
import subprocess

from settings import Settings
from baseConfigurationStep import BaseConfigurationStep

class NeadmLicenseActivation(BaseConfigurationStep):
    def __init__(self):
      pass

    def process(self, environment):

      nedge_activation_key = environment['nedge_activation_key']
      print('[{}]'.format(self.__class__.__name__))
      print("nedge_activation_key is {}".format(nedge_activation_key))
      try:
        neadm_cmd = [Settings.NEADM_CMD, 'system', 'license', 'set', 'online', nedge_activation_key]

        print("NEADM system init cmd is {0}".format(' '.join(neadm_cmd)))
        subprocess.check_output(neadm_cmd)

      except Exception as ex:
        raise Exception('in {0}\nMessage:{1}\nTrace: {2}'.format(self.__class__.__name__, ex.message, traceback.format_exc()))

