#/usr/bin/env python

import os
import sys
import traceback
import subprocess

from settings import Settings
from baseConfigurationStep import BaseConfigurationStep

class NeadmRCConfig(BaseConfigurationStep):
    def __init__(self):
      pass

    def process(self, environment):
      node_public_ip = environment['node_public_ip']

      print('[{}]'.format(self.__class__.__name__))
      print("\nnode_public_ip is: {}".format(node_public_ip))

      #change blank ip to mgmt node's public ip address
      substitution_str = 's/API_URL=.*/API_URL=http:\/\/{}:8080/g'.format(node_public_ip)
      try:
        output = subprocess.check_output(['sed', '-i', '-e', substitution_str, Settings.NEADMRC_FILE_PATH], stderr=subprocess.STDOUT)
  
      except Exception as ex:
        raise Exception('in {0}\nMessage:{1}\nTrace: {2}'.format(self.__class__.__name__, ex.message, traceback.format_exc()))

