#/usr/bin/env python

import os
import sys
import traceback
import subprocess

from settings import Settings
from baseConfigurationStep import BaseConfigurationStep

class NedeployRCConfig(BaseConfigurationStep):
    def __init__(self):
      pass

    def process(self, environment):
                
      print('[{}]'.format(self.__class__.__name__))
      build_version = Settings.NEDGE_BUILD_NUMBER
      print('\tbuild_version : {}'.format(build_version))
      substitution_str = 's/APT_REPO=.*/APT_REPO=http:\/\/10.3.30.163\/nedge-dev\/ubuntu14\/{}/g'.format(build_version)
      try:
        output = subprocess.check_output(['sed', '-i', '-e', substitution_str, Settings.NEDEPLOY_FILE_PATH], stderr=subprocess.STDOUT)

      except Exception as ex:
        raise Exception('in {0}\nMessage:{1}\nTrace: {2}'.format(self.__class__.__name__, ex.message, traceback.format_exc()))

