#class for static variables persistent for all NEDGE charms
class Settings:
    NEDGE_FOLDER_PATH = '/opt/nedge'
    NEADM_FOLDER_PATH = '/opt/nedge/neadm'
    NEDEPLOY_FOLDER_PATH = '/opt/nedge/nedeploy'
    NEADM_CMD = '{0}/neadm'.format(NEADM_FOLDER_PATH)
    NEDEPLOY_CMD = '{0}/nedeploy'.format(NEDEPLOY_FOLDER_PATH)
    NEADMRC_FILE_PATH = '{0}/.neadmrc'.format(NEADM_FOLDER_PATH)
    NEDEPLOY_FILE_PATH = '{0}/.nedeployrc'.format(NEDEPLOY_FOLDER_PATH)

    #get name from cluster name or from config
    NEDGE_CINDER_SERVICE_NAME = 'nedge-cinder'

    #node sid file cache
    SERVERID_CACHE_PATH = '/opt/nedge/var/run/serverid.cache'

    # in seconds
    NEADM_INIT_TIMEOUT = 9000
  
    # sleep interval in seconds for waiting loops
    SLEEP_INTERVAL = 10
    
    #NEDGE_BUILD_NUMBER
    NEDGE_BUILD_NUMBER  = 1506
    NEDGE_BUILD_VERSION = "1.1.0"

    #SWIFT SETTINGS
    KEYSTONE_PORT = 80