#/usr/bin/env python

import os
import sys
import traceback
import time
import subprocess

from settings import Settings
from baseConfigurationStep import BaseConfigurationStep
from utils import (
    get_sid
)

class WaitNodeUUID(BaseConfigurationStep):
    def __init__(self):
      pass

    def process(self, environment):

  
      start = time.time()
      while (int(time.time() - start) < Settings.NEADM_INIT_TIMEOUT):
        sid = get_sid()
        print("Node SID is {}".format(sid))
        if sid:
            return
        time.sleep(Settings.SLEEP_INTERVAL)

      raise Exception("in {0}\nMessage: Timeout exeeded".format(self.__class__.__name__))

