#/usbr/in/env python

import os
import sys
import traceback
import subprocess

from settings import Settings
from baseConfigurationStep import BaseConfigurationStep

class NeadmCreateISCSIService(BaseConfigurationStep):
    #get iscsi service name from configuration or from cluster name
    _create_cmd = [Settings.NEADM_CMD, 'service', 'create', 'iscsi', Settings.NEDGE_CINDER_SERVICE_NAME]
    def __init__(self):
        pass

    def process(self, environment):

        print('[{}]'.format(self.__class__.__name__))
        try:

            print("\t cmd is {0}".format(' '.join(NeadmCreateISCSIService._create_cmd)))
            subprocess.check_output(NeadmCreateISCSIService._create_cmd)

        except Exception as ex:
            raise Exception('in {0}\nMessage:{1}\nTrace: {2}'.format(self.__class__.__name__, ex.message, traceback.format_exc()))

