#/usbr/in/env python

import os
import sys
import traceback
import subprocess

from settings import Settings
from baseConfigurationStep import BaseConfigurationStep

class NeadmSystemInit(BaseConfigurationStep):
    _neadm_cmd = [Settings.NEADM_CMD, 'system', 'init']
    def __init__(self):
      pass

    def process(self, environment):

      print('[{}]'.format(self.__class__.__name__))
      try:

        print("\t cmd is {0}".format(' '.join(NeadmSystemInit._neadm_cmd)))
        subprocess.check_output(NeadmSystemInit._neadm_cmd)

      except Exception as ex:
        raise Exception('in {0}\nMessage:{1}\nTrace: {2}'.format(self.__class__.__name__, ex.message, traceback.format_exc()))

